<?php 
	$laxity_hide_show_service	= get_theme_mod('hide_show_service','on'); 
	$laxity_service_title		= get_theme_mod('service_title'); 
	$laxity_service_desc		= get_theme_mod('service_description');
	if($laxity_hide_show_service == 'on') :
?>
	<section id="unique-service" class="service-version-one">
		<div class="container">
			<div class="row text-center padding-top-60 padding-bottom-30">
				<div class="col-sm-12">
				<?php if ($laxity_service_title) : ?>
					<h2 class="section-heading wow zoomIn"><?php echo wp_filter_post_kses($laxity_service_title); ?></h2>
				<?php endif; ?>
				
				<?php if ($laxity_service_desc) : ?>
					<p class="section-description"><?php echo esc_html($laxity_service_desc); ?></p>
				<?php endif; ?>
				</div>
			</div>
			<div class="row text-center padding-bottom-60">
				<?php 
					for($service =1; $service<4; $service++) 
					{
						if( get_theme_mod('service-page'.$service)) 
						{
							$service_query = new WP_query('page_id='.get_theme_mod('service-page'.$service,true));
							while( $service_query->have_posts() ) 
							{ 
								$service_query->the_post();
								$image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));
								$img_arr[] = $image;
								$id_arr[] = $post->ID;
							}    
						}
					}
				?>
				<?php if(!empty($id_arr))
				{ ?>
				<?php 
					$i=1;
					foreach($id_arr as $id)
					{ 
						$title	= get_the_title( $id ); 
						$post	= get_post($id); 
						
						$content = $post->post_content;
						$content = apply_filters('the_content', $content);
						$content = str_replace(']]>', ']]>', $content);
				?> 
				<div class="col-md-4 col-sm-4 margin-bottom-30">
					<div class="eleven-service-box wow fadeInUp">
					    <div class="bdt-advanced-icon-box">
					        <div class="bdt-advanced-icon-box-icon">
					            <span class="bdt-icon-wrapper">
									<?php 
										$image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));
										$thumbnail_id = get_post_thumbnail_id( $post->ID );
										$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true);
										if( !empty($image) ) { ?>
											<img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr($alt); ?>" >
										<?php } else { ?>
										<?php if( get_post_meta(get_the_ID(),'icons', true ) ): ?>
											<i class="fa <?php echo esc_attr(get_post_meta( get_the_ID(),'icons', true)); ?>"></i> 
									<?php
										endif;
										} 
									?>
								</span>
							</div>
							<div class="bdt-advanced-icon-box-content">
					            <h5 class="bdt-advanced-icon-box-title"><a href="<?php echo esc_url( get_permalink() ); ?>"> <?php echo esc_html($title); ?> </a></h5>
					            <div class="bdt-advanced-icon-box-sub-title">
					                <?php echo esc_html( get_post_meta( get_the_ID(),'service_price', true) ); ?>
					            </div>
					            <div class="bdt-advanced-icon-box-description">
					                <p> <?php echo wp_kses_post($content); ?> </p>					                
					            </div>
								
					            <?php if( !empty( get_post_meta( get_the_ID(),'service_button', true) ) ) { ?>
									<a href="<?php echo esc_url( get_post_meta( get_the_ID(),'service_links', true) ); ?>" class="bdt-advanced-icon-box-readmore bdt-display-inline-block">
										<?php echo esc_html( get_post_meta( get_the_ID(),'service_button', true) ); ?>
										<span class="bdt-button-icon-align-right">
											<svg xmlns="http://www.w3.org/2000/svg" width="40" height="17" viewBox="0 0 40 17" fill="none"><path d="M1 8.49744H39" stroke="#00a3c8" stroke-linecap="round" stroke-linejoin="round"></path></svg>
										</span>
									</a>
					        	<?php } ?>
					        </div>
						</div>
					</div>
				</div>
				<?php } wp_reset_postdata(); ?>
				<?php $i++; 
				}  ?>
			</div>
		</div>
	</section>
<div class="clearfix"></div>
<?php endif; ?>

